- entityDefinitions:
  - IDC_ConditionalSelectInstanceSetCase: '{be3db1fd-8665-4ea6-a595-bb8ae10365d3}'
  
  - IDR_Conditional_Select_Instance_Set_Method__has__Conditional_Select_Instance_Set_Case: "{b6715132-b438-4073-b81d-3ecf19584b7d}"
  - IDR_Conditional_Select_Instance_Set_Case__for__Conditional_Select_Instance_Set_Method: "{1c868a06-8fb7-432d-839b-7a5a02a50eb6}"
  
  - IDR_Conditional_Select_Instance_Set_Case__invokes__Executable_returning_Instance_Set: '{8fde1baa-ce2e-4245-a775-bc4c66eac7b5}'
  - IDR_Executable_returning_Instance_Set__invoked_by__Conditional_Select_Instance_Set_Case: '{16aca55d-4e96-4cba-a09c-2a58586890ca}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ConditionalSelectInstanceSetCase;'
    index: 13042
    name: Conditional Select from Instance Set Case
    customTagName: conditionalSelectInstanceSetCase
    registerForTemplate: yes
    superclasses:
    - '&IDC_ConditionalEvaluationCase;'
    # defaultTask: '&IDI_Task_ViewConditionalSelectInstanceSetCase;'
    # relatedTasks:
    # - instance: '&IDI_Task_ViewConditionalSelectInstanceSetCase;'
    # - instance: '&IDI_Task_EditConditionalSelectInstanceSetCase;'
    attributes:
    - instance: '&IDA_UseAnyCondition;'
      customTagName: 'useAnyCondition'
    - instance: '&IDA_Comment;'
      customTagName: 'comment'
    relationships:
    - instance: '&IDR_Condition_Group__has_true_condition__Executable_returning_Work_Data;'
      customTagName: trueConditions
    - instance: '&IDR_Condition_Group__has_false_condition__Executable_returning_Work_Data;'
      customTagName: falseConditions
    - instance: '&IDR_Conditional_Select_Instance_Set_Case__invokes__Executable_returning_Instance_Set;'
      customTagName: returnsInstanceSetId

  - relationship: '&IDR_Conditional_Select_Instance_Set_Case__invokes__Executable_returning_Instance_Set;'
    index: 37631
    sourceClassId: '&IDC_ConditionalSelectInstanceSetCase;'
    type: 'invokes'
    destinationClassId: '&IDC_ExecutableReturningInstanceSet;'
    siblingRelationshipId: '&IDR_Executable_returning_Instance_Set__invoked_by__Conditional_Select_Instance_Set_Case;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Instance_Set__invoked_by__Conditional_Select_Instance_Set_Case;'
    index: 37632
    sourceClassId: '&IDC_ExecutableReturningInstanceSet;'
    type: 'invoked by'
    destinationClassId: '&IDC_ConditionalSelectInstanceSetCase;'
    siblingRelationshipId: '&IDR_Conditional_Select_Instance_Set_Case__invokes__Executable_returning_Instance_Set;'
    singular: no